---
schema_version: "1"
id: 95edc69fb3a2021414ce6baa38c014ba72bb1fba9614ff4405611108f14e74c4
title: Get Lookup Field Actions
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_lookup.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_lookup.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: e695edbc6077fd672dcc75d991713d9965ab8665505a022e0bcacd248b4d93c3
description: Get the actions on lookup fields.
---
# Get Lookup Field Actions

Get the actions on lookup fields.

Resource

/ui-api/actions/lookup/${objectApiNames}

objectApiNames—A lookup field name, or a comma-delimited list of lookup field names.

Available Version

41.0

HTTP Method

GET

Example

As an example, let’s say we have a lookup field on a New Account dialog box. To get information about the actions on this lookup field, make this request:

GET /services/data/v68.0/ui-api/actions/lookup/Account

The request returns a list of actions on the lookup field and the URLs of the request and subrequests.

{
  "actions" : {
    "Account" : {
      "actions" : \[ {
        "actionListContext" : "Lookup",
        "actionTarget" : null,
        "actionTargetType" : "Invoke",
        "apiName" : "CreateFromLookup",
        "externalId" : "00DR00000008n7M:Account::Lookup:Phone:StandardButton:CreateFromLookup",
        "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/action/new\_120.png",
        "id" : "0JVR00000000004OAA",
        "isMassAction" : "false",
        "label" : "New",
        "primaryColor" : "33BCE7",
        "relatedListRecordId" : null,
        "relatedSourceObject" : null,
        "section" : "Page",
        "sourceObject" : "Account",
        "subtype" : null,
        "targetObject" : "Account",
        "targetUrl" : null,
        "type" : "StandardButton"
      } \],
      "links" : \[ \],
      "url" : "/services/data/v41.0/ui-api/actions/lookup/Account"
    }
  },
  "url" : "/services/data/v41.0/ui-api/actions/lookup/Account"
}

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d56734e120">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d56734e123">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d56734e126">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d56734e129">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d56734e132">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d56734e120" data-title="Parameter Name"><samp class="codeph nolang">actionTypes</samp></td>

                  <td class="entry" headers="d56734e123" data-title="Type">String[]</td>

                  <td class="entry" headers="d56734e126" data-title="Description">
                    <p class="p">The action type. One or more of these values: </p>

                    <ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">CustomButton</samp>—A button that opens a
                        URL or Visualforce page or executes JavaScript.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">ProductivityAction</samp>—A pre-defined
                        Salesforce action, attached to a limited set of objects.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">QuickAction</samp>—A global or
                        object-specific action.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">StandardButton</samp>—A pre-defined
                        Salesforce button, such as <strong class="ph uicontrol">New</strong>,
                        <strong class="ph uicontrol">Edit</strong>, and <strong class="ph uicontrol">Delete</strong>.
                      </li>

                    </ul>

                  </td>

                  <td class="entry" headers="d56734e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d56734e132" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d56734e120" data-title="Parameter Name"><samp class="codeph nolang">apiNames</samp></td>

                  <td class="entry" headers="d56734e123" data-title="Type">String[]</td>

                  <td class="entry" headers="d56734e126" data-title="Description">The API names of one or more actions to be retrieved. Use this parameter
                    only when passing <samp class="codeph nolang">retrievalMode=All</samp>. </td>

                  <td class="entry" headers="d56734e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d56734e132" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d56734e120" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d56734e123" data-title="Type">String</td>

                  <td class="entry" headers="d56734e126" data-title="Description">The layout display size. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—(Default) Use this value to
                        get a layout for desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Use this value to get a
                        layout for tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Use this value to get a
                        layout for phone display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d56734e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d56734e132" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d56734e120" data-title="Parameter Name"><samp class="codeph nolang">retrievalMode</samp></td>

                  <td class="entry" headers="d56734e123" data-title="Type">String</td>

                  <td class="entry" headers="d56734e126" data-title="Description">When the action context is <samp class="codeph nolang">Record</samp>,
                    this parameter indicates which actions to retrieve from the record page. One
                    of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">All</samp>—Retrieves all actions specified
                        in the <samp class="codeph nolang">apiNames</samp> parameter.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">PageLayout</samp>—(Default) Retrieves
                        actions from the page layout.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d56734e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d56734e132" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d56734e120" data-title="Parameter Name"><samp class="codeph nolang">sections</samp></td>

                  <td class="entry" headers="d56734e123" data-title="Type">String[]</td>

                  <td class="entry" headers="d56734e126" data-title="Description">The section of the user interface that the actions reside in. One or more
                    of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">ActivityComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">CollaborateComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">Page</samp></li>

                      <li class="li"><samp class="codeph nolang">SingleActionLinks</samp></li>

                    </ul>

                  </td>

                  <td class="entry" headers="d56734e129" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d56734e132" data-title="Available Version">41.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Action](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_action.htm#ui_api_responses_action "The actions for a single record or a collection of records.")

#### See Also

- [Get Lookup Field Suggestions](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_lookup_get.htm "When a user edits a lookup field, use this resource to search for and display suggestions. You can search for most recently used matches, for matching names, or for any match in a searchable field. You can also specify lookup filter bindings for dependent lookups.")
- [Get Lookup Field Suggestions for a Specified Object](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_lookup_object_get.htm "When a user edits a lookup field, use this resource to search for and display suggestions for a specified object. You can search for most recently used matches, for matching names, or for any match in a searchable field. You can also specify lookup filter bindings for dependent lookups.")